Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.icm.client.panel.category.dnd
Class TableDragHandler

    java.lang.Object
      org.eclipse.higgins.ics.gwt.icm.client.panel.category.dnd.TableDragHandler

All Implemented Interfaces:
  com.allen_sauer.gwt.dnd.client.DragHandler, EventListener

public class TableDragHandler
extends Object
implements com.allen_sauer.gwt.dnd.client.DragHandler

Constructor Summary
`TableDragHandler(com.google.gwt.user.client.ui.HTML dragHandlerHTML)`

Method Summary
`void` | `onDragEnd(com.allen_sauer.gwt.dnd.client.DragEndEvent event)`
`void` | `onDragStart(com.allen_sauer.gwt.dnd.client.DragStartEvent event)`
`void` | `onPreviewDragEnd(com.allen_sauer.gwt.dnd.client.DragEndEvent event)`
`void` | `onPreviewDragStart(com.allen_sauer.gwt.dnd.client.DragStartEvent event)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableDragHandler

    public TableDragHandler(com.google.gwt.user.client.ui.HTML dragHandlerHTML)

Method Detail

### onDragEnd

    public void onDragEnd(com.allen_sauer.gwt.dnd.client.DragEndEvent event)

  Specified by:
    `onDragEnd` in interface `com.allen_sauer.gwt.dnd.client.DragHandler`

### onDragStart

    public void onDragStart(com.allen_sauer.gwt.dnd.client.DragStartEvent event)

  Specified by:
    `onDragStart` in interface `com.allen_sauer.gwt.dnd.client.DragHandler`

### onPreviewDragEnd

    public void onPreviewDragEnd(com.allen_sauer.gwt.dnd.client.DragEndEvent event)
                          throws com.allen_sauer.gwt.dnd.client.VetoDragException

  Specified by:
    `onPreviewDragEnd` in interface `com.allen_sauer.gwt.dnd.client.DragHandler`
  Throws:
    `com.allen_sauer.gwt.dnd.client.VetoDragException`

### onPreviewDragStart

    public void onPreviewDragStart(com.allen_sauer.gwt.dnd.client.DragStartEvent event)
                            throws com.allen_sauer.gwt.dnd.client.VetoDragException

  Specified by:
    `onPreviewDragStart` in interface `com.allen_sauer.gwt.dnd.client.DragHandler`
  Throws:
    `com.allen_sauer.gwt.dnd.client.VetoDragException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD